请选择 进入手机版 | 继续访问电脑版

 找回密码
 立即注册
搜索
热搜: 活动 交友 discuz
查看: 257|回复: 0

[js/jquery基础] jquery1.8与1.9或更高版本的差别

[复制链接]
发表于 2023-9-23 11:07 | 显示全部楼层 |阅读模式
事情原由是这样的:我的ckeditor一个插件remoteupload一直用的好好的。于是想将ckeditor及此插件移植到dz论坛中。

以前一直用的好好的remoteupload插件,突然间歇菜了。弄得我赶紧在dzx3.5上又试了一遍,正常呀。为啥到了dzx3.4上就歇菜了呢?

一直请求连接,瞬间懵了,以前在网站和论坛上用的好好的插件,在dzx3.4上居然将我的POST换成GET请求了。第一想到是jquery版本问题导致的。于是赶紧打印出jquery版本:jQuery.fn.jquery,结果显示:dzx3.4用的是1.8.x版本,dzx3.5用的是3.6.x版本。我去,1.8版本的jquery印象中没用过。

赶紧查了一下:果然:




唉,虽然力挺method写法,但想要在dzx3.4上运行,还得加上type写法。
PS:话说,这么多年过去了,为啥dz官方不升级下dzx3.4的jquery版本呢?

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?立即注册

×
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|学习笔记

GMT+8, 2024-7-19 22:40 , Processed in 0.039491 second(s), 14 queries , APCu On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表